Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.tree.builder
Class JavaTreeModelDefinitionBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.tree.builder.JavaTreeModelDefinitionBuilder

All Implemented Interfaces:
  BeanFactoryAware, TreeModelDefinitionBuilder

public class JavaTreeModelDefinitionBuilder
extends Object
implements TreeModelDefinitionBuilder, BeanFactoryAware

Builds a `TreeModelDefinition` based on an Spring bean subclassing .

Version:
  $Id: JavaTreeModelDefinitionBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.formmodel.tree.builder.TreeModelDefinitionBuilder
`ROLE`

Constructor Summary
`JavaTreeModelDefinitionBuilder()`

Method Summary
`TreeModelDefinition` | `build(Element treeModelElement)`
`void` | `setBeanFactory(BeanFactory beanFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaTreeModelDefinitionBuilder

    public JavaTreeModelDefinitionBuilder()

Method Detail

### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)
                        throws BeansException

  Specified by:
    `setBeanFactory` in interface `BeanFactoryAware`
  Throws:
    `BeansException`

### build

    public TreeModelDefinition build(Element treeModelElement)
                              throws Exception

  Specified by:
    `build` in interface `TreeModelDefinitionBuilder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.